Bug 869870 - [rtl8192cu] Calling CRDA to update world regulatory domain -> wireless lan doesn't work
[rtl8192cu] Calling CRDA to update world regulatory domain -> wireless lan do...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 22:49 EDT by sangu
Modified: 2013-04-01 13:01 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-01 13:01:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
While Inserting Usb Lancard, /var/log/messages (14.46 KB, text/plain)
2012-10-24 22:49 EDT, sangu
no flags Details
When usb lancard doesn't work, /var/log/messages (5.00 KB, text/plain)
2012-10-24 22:51 EDT, sangu
no flags Details

  None (edit)
Description sangu 2012-10-24 22:49:19 EDT
Created attachment 633127 [details]
While Inserting Usb Lancard,  /var/log/messages

Description of problem:
After Calling CRDA to update world regulatory domain in /var/log/messages
wireless lan doesn't work.

Oct 25 11:14:39 localhost kernel: [ 9572.914166] cfg80211: Calling CRDA to update world regulatory domain
Oct 25 11:14:39 localhost NetworkManager[692]: <info> (wlan0): supplicant interface state: completed -> disconnected
Oct 25 11:14:39 localhost kernel: [ 9572.925991] cfg80211: World regulatory domain updated:
[...]

Version-Release number of selected component (if applicable):
3.6.2-2.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Insert usb lan card
2.
3.
  
Actual results:


Expected results:


Additional info:
NetworkManager-0.9.7.0-6.git20121004.fc18.x86_64

USB LAN CARD : rtl8192cu: Chip version 0x11
Comment 1 sangu 2012-10-24 22:51:53 EDT
Created attachment 633128 [details]
When usb lancard doesn't work, /var/log/messages
Comment 2 Larry Finger 2012-11-12 18:36:49 EST
Please post the output of 'sudo /usr/sbin/iwhost scan' when the failure happens.
Comment 3 John Greene 2013-01-15 10:20:40 EST
I also the following making me suspect you have a firewall issue: can you post the output of the following from your logs?

Oct 25 11:27:24 localhost dbus-daemon[691]: dbus[691]: [system] Activating service name='org.freedesktop.nm_dispatcher' (using servicehelper)
Oct 25 11:27:24 localhost dbus-daemon[691]: dbus[691]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Oct 25 11:27:24 localhost dbus[691]: [system] Successfully activated service 'org.freedesktop.nm_dispatcher'
Oct 25 11:27:24 localhost systemd[1]: Cannot add dependency job for unit ip6tables.service, ignoring: Unit ip6tables.service failed to load: No such file or directory. See system logs and 'systemctl status ip6tables.service' for details.
Oct 25 11:27:24 localhost systemd[1]: Cannot add dependency job for unit iptables.service, ignoring: Unit iptables.service failed to load: No such file or directory. See system logs and 'systemctl status iptables.service' for details.
Oct 25 11:27:24 localhost systemd[1]: Stopping Sendmail Mail Transport Client...
Oct 25 11:27:24 localhost systemd[1]: Stopping Sendmail Mail Transport Agent...
Oct 25 11:27:24 localhost systemd[1]: Starting Sendmail Mail Transport Agent...
Oct 25 11:27:24 localhost NetworkManager[692]: <info> (wlan0): canceled DHCP transaction, DHCP client pid 20861
Comment 5 John Greene 2013-01-22 08:19:50 EST
Ok, I get in a hurry sometimes, what I would like to see in my comment 3 is:

Can you check the following for status an relevant information..It appears that all is well prior to this point, then things start shutting down (mail, dhcp transaction cancels).  Firewall appears to not allow much past it, suggesting that it's not configured right.  Has this ever worked and not just in this scenario?  Or does it work ok in other places?

Oct 25 11:27:24 localhost systemd[1]: Cannot add dependency job for unit ip6tables.service, ignoring: Unit ip6tables.service failed to load: No such file or directory. See system logs and 'systemctl status ip6tables.service' for details.
Oct 25 11:27:24 localhost systemd[1]: Cannot add dependency job for unit iptables.service, ignoring: Unit iptables.service failed to load: No such file or directory. See system logs and 'systemctl status iptables.service' for details.

Here's what I'd like to see to help: 
output of:
if you are using ipv6 
systemctl status ip6tables.service
or if ipv4
systemctl status iptables.service

Might be a simple thing, at least lets eliminate that first.
Comment 7 Josh Boyer 2013-04-01 13:01:29 EDT
Closing this out due to lack of response by the reporter.

Note You need to log in before you can comment on or make changes to this bug.